Bug 242605 - www/firefox: update to 72.0 (phase: Beta, ETA: 2020-01-07)
Summary: www/firefox: update to 72.0 (phase: Beta, ETA: 2020-01-07)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gecko mailing list
URL: https://wiki.mozilla.org/Releases/Fir...
Keywords: needs-qa, patch
Depends on: 241840
Blocks: 243295
  Show dependency treegraph
 
Reported: 2019-12-12 14:49 UTC by Jan Beich
Modified: 2020-01-18 00:12 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (gecko)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2019-12-12 14:49:23 UTC
See review D22781 for the patch.
Comment 1 commit-hook freebsd_committer 2019-12-31 00:47:18 UTC
A commit references this bug:

Author: jbeich
Date: Tue Dec 31 00:46:54 UTC 2019
New revision: 521576
URL: https://svnweb.freebsd.org/changeset/ports/521576

Log:
  www/firefox: update to 72.0

  Changes:	https://www.mozilla.org/firefox/72.0/releasenotes/
  PR:		242605
  Security:	a4d0f92b-2188-40aa-9aa3-005b0a89cc72
  Differential Revision:	https://reviews.freebsd.org/D22781

Changes:
  head/Mk/bsd.gecko.mk
  head/www/firefox/Makefile
  head/www/firefox/distinfo
  head/www/firefox/files/patch-bug1602358
  head/www/firefox/files/patch-bug847568
Comment 2 Charlie Li 2019-12-31 22:51:48 UTC
This crashes on startup, even with a new profile and safe mode. Will get a backtrace and debug messages later, after rebuilding with DEBUG enabled.
Comment 3 Jan Beich freebsd_committer 2019-12-31 22:59:11 UTC
DEBUG option is NOT for debugging crashes. Build with debugging symbols via WITH_DEBUG=1 instead.

That said, I can't reproduce on 11.3 i386 and 12.1 amd64, X11 and Wayland.
Comment 4 Charlie Li 2019-12-31 23:06:09 UTC
This is on -CURRENT r356060 amd64.
Comment 5 Charlie Li 2020-01-01 03:02:05 UTC
For comparison, www/firefox-esr is not affected, nor was 71.0. Perhaps when a new 72.0 candidate is released, the startup crash may go away.
Comment 6 Jan Beich freebsd_committer 2020-01-01 17:37:44 UTC
After updating my -CURRENT amd64 jail to base r356249 and rebuilding www/firefox I still can't reproduce. Does prebuilt package from pkg.freebsd.org work? If so bisect build environment.
Comment 7 commit-hook freebsd_committer 2020-01-03 23:31:15 UTC
A commit references this bug:

Author: jbeich
Date: Fri Jan  3 23:30:56 UTC 2020
New revision: 521966
URL: https://svnweb.freebsd.org/changeset/ports/521966

Log:
  www/firefox: switch to rc4

  Changes:	https://hg.mozilla.org/releases/mozilla-release/pushloghtml?startdate=2019-12-31&enddate=2020-01-04
  PR:		242605

Changes:
  head/www/firefox/Makefile
  head/www/firefox/distinfo
Comment 8 Graham Perrin 2020-01-04 16:22:02 UTC
With the `geo.wifi.uri` default value: 

    https://www.googleapis.com/geolocation/v1/geolocate?key=%GOOGLE_LOCATION_SERVICE_API_KEY%

– https://roadtrip.glitch.me/ does not find my location after clicking 'START THE ROAD TRIP'.

With an alternative value for the preference: 

    https://location.services.mozilla.com/v1/geolocate?key=%MOZILLA_API_KEY%

– my location can be found.
Comment 9 Jan Beich freebsd_committer 2020-01-04 16:54:47 UTC
(In reply to Graham Perrin from comment #8)
Did it work by default in Firefox 71? If not see bug 233095.
Comment 10 Graham Perrin 2020-01-04 19:30:10 UTC
(In reply to Jan Beich from comment #9)

Apologies for overloooking that bug. I probably never used the site with 71.
Comment 11 Graham Perrin 2020-01-04 19:48:18 UTC
Services.Common.RESTRequest

Does this 'must' require any change? 

grahamperrin@momh167-gjp4-8570p:~ % firefox --safe-mode https://web.archive.org/
Log warning: The log 'Services.Common.RESTRequest' is configured to use the preference 'services.common.log.logger.rest.request' - you must adjust the level by setting this preference, not by using the level setter
grahamperrin@momh167-gjp4-8570p:~ % 

----

Side note: one bugged profile, https://redd.it/ejy2kv

> Wayback Machine pages – web.archive.org URLs – 
> work only in private windows (do not work in normal windows)

I don't imagine anything FreeBSD-specific – there's at least one other OS in the related (closed) Mozilla bugs – but if anything comes to mind, let me know. Thanks.
Comment 12 commit-hook freebsd_committer 2020-01-08 19:18:25 UTC
A commit references this bug:

Author: jbeich
Date: Wed Jan  8 19:17:45 UTC 2020
New revision: 522453
URL: https://svnweb.freebsd.org/changeset/ports/522453

Log:
  www/firefox: update to 72.0.1

  Changes:	https://www.mozilla.org/firefox/72.0.1/releasenotes/
  PR:		242605
  Security:	CVE-2019-17026

Changes:
  head/www/firefox/Makefile
  head/www/firefox/distinfo
Comment 13 commit-hook freebsd_committer 2020-01-08 19:19:26 UTC
A commit references this bug:

Author: jbeich
Date: Wed Jan  8 19:18:46 UTC 2020
New revision: 522455
URL: https://svnweb.freebsd.org/changeset/ports/522455

Log:
  MFH: r522453

  www/firefox: update to 72.0.1

  Changes:	https://www.mozilla.org/firefox/72.0.1/releasenotes/
  PR:		242605
  Security:	CVE-2019-17026
  Approved by:	ports-secteam blanket

Changes:
_U  branches/2020Q1/
  branches/2020Q1/www/firefox/Makefile
  branches/2020Q1/www/firefox/distinfo
Comment 14 commit-hook freebsd_committer 2020-01-18 00:10:50 UTC
A commit references this bug:

Author: jbeich
Date: Sat Jan 18 00:10:25 UTC 2020
New revision: 523377
URL: https://svnweb.freebsd.org/changeset/ports/523377

Log:
  www/firefox: update to 72.0.2

  Changes:	https://www.mozilla.org/firefox/72.0.2/releasenotes/
  PR:		242605

Changes:
  head/www/firefox/Makefile
  head/www/firefox/distinfo
Comment 15 commit-hook freebsd_committer 2020-01-18 00:12:51 UTC
A commit references this bug:

Author: jbeich
Date: Sat Jan 18 00:12:08 UTC 2020
New revision: 523381
URL: https://svnweb.freebsd.org/changeset/ports/523381

Log:
  MFH: r523377

  www/firefox: update to 72.0.2

  Changes:	https://www.mozilla.org/firefox/72.0.2/releasenotes/
  PR:		242605
  Approved by:	ports-secteam blanket

Changes:
_U  branches/2020Q1/
  branches/2020Q1/www/firefox/Makefile
  branches/2020Q1/www/firefox/distinfo